Skip to main content
GET
/
api
/
v1
/
user
/
competitions
cURL
curl --request GET \
  --url https://api.ekiden.fi/api/v1/user/competitions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "description_md": "<string>",
      "end_time_ms": 123,
      "id": "<string>",
      "prize_usdc": 1,
      "scoring": {
        "end_weight_bps": 1,
        "max_daily_contribution_bps": 1,
        "min_active_days": 1,
        "min_daily_activity_units": 1,
        "start_weight_bps": 1,
        "consistency_max_bonus_bps": 1,
        "consistency_target_days": 1,
        "use_consistency_multiplier": true
      },
      "slug": "<string>",
      "start_time_ms": 123,
      "title": "<string>",
      "symbol": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.ekiden.fi/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
null | enum<string>
Available options:
draft,
scheduled,
active,
ended,
cancelled

Response

200 - application/json

Competitions list

data
object[]
required